Package io.dapr.v1

# Class CommonProtos.StateRetryPolicy

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.CommonProtos.StateRetryPolicy

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.StateRetryPolicyOrBuilder`, `java.io.Serializable`

Enclosing class:
  CommonProtos

    public static final class CommonProtos.StateRetryPolicy
    extends com.google.protobuf.GeneratedMessageV3
    implements CommonProtos.StateRetryPolicyOrBuilder

     StateRetryPolicy represents retry policy to set and delete state operations.

Protobuf type `dapr.proto.common.v1.StateRetryPolicy`

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CommonProtos.StateRetryPolicy.Builder` | StateRetryPolicy represents retry policy to set and delete state operations.
  `static class` | `CommonProtos.StateRetryPolicy.RetryPattern` | Enum describing the support retry pattern

  ## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

  `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

  `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `INTERVAL_FIELD_NUMBER` |
  `static int` | `PATTERN_FIELD_NUMBER` |
  `static int` | `THRESHOLD_FIELD_NUMBER` |

  ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class com.google.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class com.google.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` |
  `static CommonProtos.StateRetryPolicy` | `getDefaultInstance()` |
  `CommonProtos.StateRetryPolicy` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Duration` | `getInterval()` | Initial delay between retries.
  `com.google.protobuf.DurationOrBuilder` | `getIntervalOrBuilder()` | Initial delay between retries.
  `com.google.protobuf.Parser<CommonProtos.StateRetryPolicy>` | `getParserForType()` |
  `CommonProtos.StateRetryPolicy.RetryPattern` | `getPattern()` | Retry pattern.
  `int` | `getPatternValue()` | Retry pattern.
  `int` | `getSerializedSize()` |
  `int` | `getThreshold()` | Maximum number of retries.
  `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
  `int` | `hashCode()` |
  `boolean` | `hasInterval()` | Initial delay between retries.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `boolean` | `isInitialized()` |
  `static CommonProtos.StateRetryPolicy.Builder` | `newBuilder()` |
  `static CommonProtos.StateRetryPolicy.Builder` | `newBuilder​(CommonProtos.StateRetryPolicy prototype)` |
  `CommonProtos.StateRetryPolicy.Builder` | `newBuilderForType()` |
  `protected CommonProtos.StateRetryPolicy.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
  `protected java.lang.Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
  `static CommonProtos.StateRetryPolicy` | `parseDelimitedFrom​(java.io.InputStream input)` |
  `static CommonProtos.StateRetryPolicy` | `parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(byte[] data)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(com.google.protobuf.ByteString data)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(java.io.InputStream input)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(java.nio.ByteBuffer data)` |
  `static CommonProtos.StateRetryPolicy` | `parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static com.google.protobuf.Parser<CommonProtos.StateRetryPolicy>` | `parser()` |
  `CommonProtos.StateRetryPolicy.Builder` | `toBuilder()` |
  `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class com.google.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

- ## Field Details

  - ### THRESHOLD_FIELD_NUMBER

    public static final int THRESHOLD_FIELD_NUMBER
    See Also:
      Constant Field Values

  - ### PATTERN_FIELD_NUMBER

    public static final int PATTERN_FIELD_NUMBER
    See Also:
      Constant Field Values

  - ### INTERVAL_FIELD_NUMBER

    public static final int INTERVAL_FIELD_NUMBER
    See Also:
      Constant Field Values

- ## Method Details

  - ### newInstance

    protected java.lang.Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()
    Specified by:
      `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getThreshold

    public int getThreshold()

         Maximum number of retries.

    `int32 threshold = 1;`
    Specified by:
      `getThreshold` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      The threshold.

  - ### getPatternValue

    public int getPatternValue()

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Specified by:
      `getPatternValue` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      The enum numeric value on the wire for pattern.

  - ### getPattern

    public CommonProtos.StateRetryPolicy.RetryPattern getPattern()

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Specified by:
      `getPattern` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      The pattern.

  - ### hasInterval

    public boolean hasInterval()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`
    Specified by:
      `hasInterval` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      Whether the interval field is set.

  - ### getInterval

    public com.google.protobuf.Duration getInterval()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`
    Specified by:
      `getInterval` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      The interval.

  - ### getIntervalOrBuilder

    public com.google.protobuf.DurationOrBuilder getIntervalOrBuilder()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`
    Specified by:
      `getIntervalOrBuilder` in interface `CommonProtos.StateRetryPolicyOrBuilder`

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output) throws java.io.IOException
    Specified by:
      `writeTo` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
    Throws:
      `java.io.IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Specified by:
      `equals` in interface `com.google.protobuf.Message`
    Overrides:
      `equals` in class `com.google.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `com.google.protobuf.Message`
    Overrides:
      `hashCode` in class `com.google.protobuf.AbstractMessage`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(java.nio.ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(java.io.InputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.StateRetryPolicy parseDelimitedFrom​(java.io.InputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.StateRetryPolicy parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(com.google.protobuf.CodedInputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.StateRetryPolicy parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### newBuilderForType

    public CommonProtos.StateRetryPolicy.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.MessageLite`

  - ### newBuilder

    public static CommonProtos.StateRetryPolicy.Builder newBuilder()

  - ### newBuilder

    public static CommonProtos.StateRetryPolicy.Builder newBuilder​(CommonProtos.StateRetryPolicy prototype)

  - ### toBuilder

    public CommonProtos.StateRetryPolicy.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `com.google.protobuf.Message`
    Specified by:
      `toBuilder` in interface `com.google.protobuf.MessageLite`

  - ### newBuilderForType

    protected CommonProtos.StateRetryPolicy.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static CommonProtos.StateRetryPolicy getDefaultInstance()

  - ### parser

    public static com.google.protobuf.Parser<CommonProtos.StateRetryPolicy> parser()

  - ### getParserForType

    public com.google.protobuf.Parser<CommonProtos.StateRetryPolicy> getParserForType()
    Specified by:
      `getParserForType` in interface `com.google.protobuf.Message`
    Specified by:
      `getParserForType` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public CommonProtos.StateRetryPolicy getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`